Bug 137759 - X crashes when 2nd monitor is configured but disconnected
X crashes when 2nd monitor is configured but disconnected
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-31 22:00 EST by Andrew D. Stadler
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 16:08:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-10-31 22:00:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
My system is a thinkpad T30 (Radeon 7500 Mobility graphics chip,
1400x1050 lcd).  When I'm working at home I have an external monitor
plugged in (dell 2000FP 1600x1200).  I configure the system to use
xinerama for a spanning desktop.

If I shut down the machine, unplug the external monitor, and restart,
the X server crashes on startup a few times.  It finally gives up and
leaves me in a text mode login.  I have to remember the location of
the config file, hand edit it to remove the dual-head setup, save, and
reboot.  It's a hassle and it's not anything I could explain to a
non-technical user.

"That Other OS" quickly recognizes this (rather common for a laptop)
configuration change and boots single monitor.  X should do this too.


Version-Release number of selected component (if applicable):
xorg-x11-6.7.0.9

How reproducible:
Always

Steps to Reproduce:
1.  Use system-config-display to setup dual head mode, with spanning
desktops.
2.  confirm that it's working properly
3.  shut down 
4.  disconnect 2nd monitor
5.  reboot
    

Actual Results:  As noted in description, X completely fails to
startup and you have to hand-edit its config file and reboot.

Expected Results:  Good:  Recognize the missing 2nd monitor and (for
that boot only) disable dual head
Better:  Support multiple config files so the user could specifically
dial in their single and dual monitor settings.

Additional info:
Comment 1 Mike A. Harris 2004-11-29 16:08:32 EST
Thanks for your report.  I agree that it would be wonderful if
the X.Org X server had this functionality, however the lack of
this type of feature is a design limitation rather than a bug.

In order to have this type of functionality requires X.Org
upstream development to implement the necessary functionality
to do this into a future X.Org X11 release.

If you would like to see this type of feature be available
in a future X.Org release, you can request a feature enhancement
by filing a bug report at http://bugs.freedesktop.org in the
'xorg' component and marking it as an enhancement request.

Once the X.Org developers enhance the server to provide this
functionality and a new X11 version is released which includes
this ability, it will eventually get integrated into a future
release of Fedora Core.

Setting status to "NOTABUG", as we do not track upstream X.Org
feature requests in our local bugzilla.


Note You need to log in before you can comment on or make changes to this bug.